Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Interface MapPanel

All Known Implementing Classes:
  BasicMapPanel

public interface MapPanel

The MapPanel is a interface describing a component that contains a MapBean, MapHandler, menu widgets and all the other components connected to make an OpenMap map widget. A MapPanel is a self-contained OpenMap Swing component. It is expected that the MapPanel will extend from java.awt.Container. If it doesn't, it might not be automatically added to the OpenMapFrame or OpenMapApplet if it is found in the MapHandler.

Method Summary
`MapBean` | `getMapBean()` Get the MapBean used for the MapPanel.
`MapHandler` | `getMapHandler()` Get the MapHandler used for the MapPanel.
`javax.swing.JMenu` | `getMapMenu()` Get a JMenu containing sub-menus to control the map.
`javax.swing.JMenuBar` | `getMapMenuBar()` Get a JMenuBar containing menus to control the map.

Method Detail

### getMapBean

    public MapBean getMapBean()

  Get the MapBean used for the MapPanel.

### getMapHandler

    public MapHandler getMapHandler()

  Get the MapHandler used for the MapPanel. You should be able to use the MapHandler to get to any component used in the MapPanel.

### getMapMenuBar

    public javax.swing.JMenuBar getMapMenuBar()

  Get a JMenuBar containing menus to control the map.

### getMapMenu

    public javax.swing.JMenu getMapMenu()

  Get a JMenu containing sub-menus to control the map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details